function handleOpenURL(url) {
    setTimeout(function () {
        if (!Lc.StringExt.startsWith(url || "", "repdocws://", true))
            return;
        var cmdText = url.substr(11);
        window.LcCmdTextFromUrl = cmdText;
        RepdocM.RepdocSchemeHandler.executeCommand();
    }, 1000);
}
var RepdocM;
(function (RepdocM) {
    var RepdocSchemeHandler = (function () {
        function RepdocSchemeHandler() {
            throw new Error("The 'RepdocSchemeHandler' is a static class.");
        }
        RepdocSchemeHandler.executeCommand = function () {
            if (!window.LcCmdTextFromUrl || !RepdocM.App || !RepdocM.App.instance || !RepdocM.App.instance.isUserAuthenticated) {
                return;
            }
            var cmdText = window.LcCmdTextFromUrl || "";
            window.LcCmdTextFromUrl = null;
            if (Lc.StringExt.startsWith(cmdText, "open/", true)) {
                RepdocSchemeHandler.open(cmdText.substr(5));
            }
            else if (Lc.StringExt.startsWith(cmdText, "list/", true)) {
                Lc.alert("Handler call 'list' is not supported in this version!");
            }
            else
                throw new Error("Unknown Handler-Command: " + cmdText);
        };
        RepdocSchemeHandler.open = function (id) {
            RepdocM.CommonServer.getBoName(null, id).then(function (value) {
                try {
                    RepdocM.App.instance.showListDetail(value, id);
                }
                catch (e) {
                    Lc.errorAlert(e);
                }
            }, function (error) { Lc.errorAlert(error); });
        };
        return RepdocSchemeHandler;
    }());
    RepdocM.RepdocSchemeHandler = RepdocSchemeHandler;
})(RepdocM || (RepdocM = {}));
